function setUpVersions () {          
    const XPOINTER_SERVICE_CONTRACTID = "@mozilla.org/xpointer-service;1";
    var XPointerService = null;
    if (Components.classes[XPOINTER_SERVICE_CONTRACTID]) {
        XPointerService =
            Components.classes[XPOINTER_SERVICE_CONTRACTID].getService()
                 .QueryInterface(Components.interfaces.nsIXPointerService);
    }

    const ANNOTATIONS_SERVICE_CONTRACTID = "@mozilla.org/annotations_service;1";
    var annotationsService = null;
    if (Components.classes[ANNOTATIONS_SERVICE_CONTRACTID]) {
        annotationsService =
            Components.classes[ANNOTATIONS_SERVICE_CONTRACTID].getService()
                .QueryInterface(Components.interfaces.nsIAnnotationsService);
    }

    if (XPointerService && annotationsService) {
        document.getElementById("missingComponents").setAttribute ("style", "display:none");
        document.getElementById("launchWizard").setAttribute ("style", "display:block");
    } else {
        document.getElementById("missingComponents").setAttribute ("style", "display:block");
        document.getElementById("launchWizard").setAttribute ("style", "display:none");
    }
}
